package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_流程记录对象 zsyz_lcjl
 * 
 * @author ruoyi
 * @date 2023-02-27
 */
public class ZsyzLcjl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 处理部门id */
    @Excel(name = "处理部门id")
    private Long deptId;

    /** 处理部门名称 */
    @Excel(name = "处理部门名称")
    private String deptName;

    /** 处理日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date clTime;

    /** 项目进度 1:项目首谈待审核 2:项目首谈已审核 3:线索分发要素部门 4:线索已指派 5:线索已承接 6:签约待审核 7:签约已审核 8:开工待审核 9:开工已审核 10:投产待审核 11:投产已审核 12:项目已入归 */
    @Excel(name = "项目进度 1:项目首谈待审核 2:项目首谈已审核 3:线索分发要素部门 4:线索已指派 5:线索已承接 6:签约待审核 7:签约已审核 8:开工待审核 9:开工已审核 10:投产待审核 11:投产已审核 12:项目已入归")
    private String progress;
    /**
     * 项目状态 1:待审核 2:已通过 3:被退回
     */
    private String xmStatus;

    public String getXmStatus() {
        return xmStatus;
    }

    public void setXmStatus(String xmStatus) {
        this.xmStatus = xmStatus;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setClTime(Date clTime) 
    {
        this.clTime = clTime;
    }

    public Date getClTime() 
    {
        return clTime;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("clTime", getClTime())
            .append("progress", getProgress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
